I am trying to plot 3D points using Sketchup. I used the Point3D code and the suggestions that are given on the following webpage, but nothing happens. Does anyone know what I am doing wrong?
Ah, I should have understood what was going on when you first posted, alas.
Geom::Point3d doesn’t represent an entity. It’s a general data structure.
What you want is Sketchup::ConstructionPoint which you add to the model using Sketchup::Entities.add_cpoint.
point = Geom::Point3d.new(1, 2, 3)
Sketchup.active_model.active_entities.add_cpoint(point)
The Sketchup::Entities class’s add_* methods are what you use to add any kind of entity to the model.